> ## Documentation Index
> Fetch the complete documentation index at: https://docs.assetinfinity.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Everything a booking holds — assets, tools, parts, places and people — in one list, each with the window that line…

> Everything a booking holds — assets, tools, parts, places and people — in one list, each with the window that line holds rather than the header's, and the header's number to link by. Quantity is set on part lines and null on the rest, which hold a slot rather than an amount.



## OpenAPI

````yaml /api-reference/openapi.json get /booking_lines
openapi: 3.0.0
info:
  description: ''
  title: >-
    The only schema PostgREST exposes. Reads are security_invoker views; writes
    are SECURITY DEFINER functions. Rebuilt wholesale on every deploy — it holds
    no data.
  version: 12.2.3
servers:
  - url: https://app.assetinfinity.ai/api
security: []
tags:
  - name: Signing in
  - name: Profile
  - name: My work
  - name: Sites and locations
  - name: Assets
  - name: Asset lifecycle
  - name: Asset components
  - name: Work lifecycle
  - name: Work order execution
  - name: Work sequencing
  - name: Maintenance
  - name: Inspections
  - name: Checklists
  - name: Verification
  - name: Self verification
  - name: Inventory
  - name: Inventory detail
  - name: Parts demand
  - name: Procurement
  - name: Vendors and contracts
  - name: Contracts
  - name: Amendments
  - name: Vendor spend forecast
  - name: Workforce
  - name: Workforce detail
  - name: Capacity
  - name: Dispatch
  - name: Shutdown
  - name: Permits
  - name: Tools
  - name: Tools on jobs
  - name: Bookings
  - name: Calibration history
  - name: Reliability
  - name: Sensors and meters
  - name: Readers
  - name: Trackers
  - name: Real-time location
  - name: Feeds
  - name: Energy
  - name: IT assets
  - name: IT asset software
  - name: IT asset topology
  - name: Map
  - name: Floor plans
  - name: Labels
  - name: Lost and found
  - name: Visitors
  - name: Root cause analysis
  - name: Costing
  - name: Finance
  - name: Budgets
  - name: Capex plans
  - name: FF&E plans
  - name: Documents
  - name: Document control
  - name: Document folders
  - name: Document tree
  - name: Knowledge
  - name: Reports
  - name: Dashboards
  - name: Extracts
  - name: Data exports
  - name: Audit center
  - name: Audit feed
  - name: Activity
  - name: Conversations
  - name: Notifications
  - name: Date reminders
  - name: Channels
  - name: Search
  - name: Copilot
  - name: Import
  - name: Bulk jobs
  - name: File exchange
  - name: Filing exceptions
  - name: Files
  - name: Sync
  - name: Support
  - name: API keys
  - name: Webhooks
  - name: MCP connections
  - name: MCP sign-in
  - name: SCIM provisioning
  - name: Directory sync
  - name: Security streams
  - name: Single sign-on
  - name: Two-factor sign-in
  - name: Admin
  - name: Access
  - name: Lookups
  - name: Read models
  - name: Reference
  - name: Reference columns
  - name: Reference entry
  - name: List views
  - name: Mapping
  - name: Numbering
  - name: Branding
  - name: Custom fields
  - name: Form studio
  - name: Workflows
  - name: Workflow studio
  - name: Rules
  - name: Statuses and transitions
  - name: Currencies and locales
  - name: Today
  - name: Work configuration
  - name: Asset configuration
  - name: Inventory configuration
  - name: Tool configuration
  - name: Workforce configuration
  - name: Vendor and contract configuration
  - name: Document configuration
  - name: Inspection configuration
  - name: Sites, locations and the organisation
  - name: Setup
  - name: Features
  - name: Billing
  - name: Licence
  - name: Welcome
  - name: Tray
  - name: Tenant switch
  - name: Release
  - name: Telegram
  - name: Inbound mail
  - name: Platform
externalDocs:
  description: PostgREST Documentation
  url: https://postgrest.org/en/v12/references/api.html
paths:
  /booking_lines:
    get:
      tags:
        - Bookings
      summary: >-
        Everything a booking holds — assets, tools, parts, places and people —
        in one list, each with the window that line…
      description: >-
        Everything a booking holds — assets, tools, parts, places and people —
        in one list, each with the window that line holds rather than the
        header's, and the header's number to link by. Quantity is set on part
        lines and null on the rest, which hold a slot rather than an amount.
      parameters:
        - $ref: '#/components/parameters/rowFilter.booking_lines.line_kind'
        - $ref: '#/components/parameters/rowFilter.booking_lines.id'
        - $ref: '#/components/parameters/rowFilter.booking_lines.booking_id'
        - $ref: '#/components/parameters/rowFilter.booking_lines.booking_number'
        - $ref: '#/components/parameters/rowFilter.booking_lines.booking_title'
        - $ref: '#/components/parameters/rowFilter.booking_lines.resource_id'
        - $ref: '#/components/parameters/rowFilter.booking_lines.reference'
        - $ref: '#/components/parameters/rowFilter.booking_lines.name'
        - $ref: '#/components/parameters/rowFilter.booking_lines.start_at'
        - $ref: '#/components/parameters/rowFilter.booking_lines.end_at'
        - $ref: '#/components/parameters/rowFilter.booking_lines.status'
        - $ref: '#/components/parameters/rowFilter.booking_lines.purpose'
        - $ref: >-
            #/components/parameters/rowFilter.booking_lines.buffer_before_minutes
        - $ref: '#/components/parameters/rowFilter.booking_lines.buffer_after_minutes'
        - $ref: '#/components/parameters/rowFilter.booking_lines.quantity'
        - $ref: '#/components/parameters/rowFilter.booking_lines.quantity_issued'
        - $ref: '#/components/parameters/rowFilter.booking_lines.cancelled_at'
        - $ref: '#/components/parameters/rowFilter.booking_lines.cancelled_reason'
        - $ref: '#/components/parameters/rowFilter.booking_lines.row_version'
        - $ref: '#/components/parameters/rowFilter.booking_lines.booking_rate_id'
        - $ref: '#/components/parameters/rowFilter.booking_lines.billing_cycle'
        - $ref: '#/components/parameters/rowFilter.booking_lines.billing_cycle_days'
        - $ref: '#/components/parameters/rowFilter.booking_lines.chargeable'
        - $ref: '#/components/parameters/select'
        - $ref: '#/components/parameters/order'
        - $ref: '#/components/parameters/range'
        - $ref: '#/components/parameters/rangeUnit'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/preferCount'
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/booking_lines'
                type: array
            application/vnd.pgrst.object+json:
              schema:
                items:
                  $ref: '#/components/schemas/booking_lines'
                type: array
            application/vnd.pgrst.object+json;nulls=stripped:
              schema:
                items:
                  $ref: '#/components/schemas/booking_lines'
                type: array
            text/csv:
              schema:
                items:
                  $ref: '#/components/schemas/booking_lines'
                type: array
          description: OK
        '206':
          description: Partial Content
components:
  parameters:
    rowFilter.booking_lines.line_kind:
      in: query
      name: line_kind
      required: false
      schema:
        type: string
    rowFilter.booking_lines.id:
      in: query
      name: id
      required: false
      schema:
        type: string
    rowFilter.booking_lines.booking_id:
      in: query
      name: booking_id
      required: false
      schema:
        type: string
    rowFilter.booking_lines.booking_number:
      in: query
      name: booking_number
      required: false
      schema:
        type: string
    rowFilter.booking_lines.booking_title:
      in: query
      name: booking_title
      required: false
      schema:
        type: string
    rowFilter.booking_lines.resource_id:
      in: query
      name: resource_id
      required: false
      schema:
        type: string
    rowFilter.booking_lines.reference:
      in: query
      name: reference
      required: false
      schema:
        type: string
    rowFilter.booking_lines.name:
      in: query
      name: name
      required: false
      schema:
        type: string
    rowFilter.booking_lines.start_at:
      in: query
      name: start_at
      required: false
      schema:
        type: string
    rowFilter.booking_lines.end_at:
      in: query
      name: end_at
      required: false
      schema:
        type: string
    rowFilter.booking_lines.status:
      in: query
      name: status
      required: false
      schema:
        type: string
    rowFilter.booking_lines.purpose:
      in: query
      name: purpose
      required: false
      schema:
        type: string
    rowFilter.booking_lines.buffer_before_minutes:
      in: query
      name: buffer_before_minutes
      required: false
      schema:
        type: string
    rowFilter.booking_lines.buffer_after_minutes:
      in: query
      name: buffer_after_minutes
      required: false
      schema:
        type: string
    rowFilter.booking_lines.quantity:
      in: query
      name: quantity
      required: false
      schema:
        type: string
    rowFilter.booking_lines.quantity_issued:
      in: query
      name: quantity_issued
      required: false
      schema:
        type: string
    rowFilter.booking_lines.cancelled_at:
      in: query
      name: cancelled_at
      required: false
      schema:
        type: string
    rowFilter.booking_lines.cancelled_reason:
      in: query
      name: cancelled_reason
      required: false
      schema:
        type: string
    rowFilter.booking_lines.row_version:
      in: query
      name: row_version
      required: false
      schema:
        type: string
    rowFilter.booking_lines.booking_rate_id:
      in: query
      name: booking_rate_id
      required: false
      schema:
        type: string
    rowFilter.booking_lines.billing_cycle:
      in: query
      name: billing_cycle
      required: false
      schema:
        type: string
    rowFilter.booking_lines.billing_cycle_days:
      in: query
      name: billing_cycle_days
      required: false
      schema:
        type: string
    rowFilter.booking_lines.chargeable:
      in: query
      name: chargeable
      required: false
      schema:
        type: string
    select:
      description: Filtering Columns
      in: query
      name: select
      required: false
      schema:
        type: string
    order:
      description: Ordering
      in: query
      name: order
      required: false
      schema:
        type: string
    range:
      description: Limiting and Pagination
      in: header
      name: Range
      required: false
      schema:
        type: string
    rangeUnit:
      description: Limiting and Pagination
      in: header
      name: Range-Unit
      required: false
      schema:
        default: items
        type: string
    offset:
      description: Limiting and Pagination
      in: query
      name: offset
      required: false
      schema:
        type: string
    limit:
      description: Limiting and Pagination
      in: query
      name: limit
      required: false
      schema:
        type: string
    preferCount:
      description: Preference
      in: header
      name: Prefer
      required: false
      schema:
        enum:
          - count=none
        type: string
  schemas:
    booking_lines:
      description: >-
        Everything a booking holds — assets, tools, parts, places and people —
        in one list, each with
             the window that line holds rather than the header's, and the header's number to link by.
             Quantity is set on part lines and null on the rest, which hold a slot rather than an amount.
      properties:
        billing_cycle:
          format: character varying
          maxLength: 20
          type: string
        billing_cycle_days:
          format: integer
          type: integer
        booking_id:
          format: uuid
          type: string
        booking_number:
          format: character varying
          maxLength: 60
          type: string
        booking_rate_id:
          format: uuid
          type: string
        booking_title:
          format: character varying
          maxLength: 250
          type: string
        buffer_after_minutes:
          format: integer
          type: integer
        buffer_before_minutes:
          format: integer
          type: integer
        cancelled_at:
          format: timestamp with time zone
          type: string
        cancelled_reason:
          format: character varying
          maxLength: 250
          type: string
        chargeable:
          format: character varying
          maxLength: 20
          type: string
        end_at:
          format: timestamp with time zone
          type: string
        id:
          format: uuid
          type: string
        line_kind:
          format: text
          type: string
        name:
          format: text
          type: string
        purpose:
          format: character varying
          type: string
        quantity:
          format: numeric
          type: number
        quantity_issued:
          format: numeric
          type: number
        reference:
          format: text
          type: string
        resource_id:
          format: uuid
          type: string
        row_version:
          format: bigint
          type: integer
        start_at:
          format: timestamp with time zone
          type: string
        status:
          format: character varying
          type: string
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.